# H245_IS13818AudioMode Class Reference

`#include <h245.h>`

Inheritance diagram for H245_IS13818AudioMode:

List of all members.

## Public Member Functions

| H245_IS13818AudioMode (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_IS13818AudioMode_audioLayer | m_audioLayer
H245_IS13818AudioMode_audioSampling | m_audioSampling
H245_IS13818AudioMode_multichannelType | m_multichannelType
PASN_Boolean | m_lowFrequencyEnhancement
PASN_Boolean | m_multilingual
PASN_Integer | m_bitRate

## Constructor & Destructor Documentation

H245_IS13818AudioMode::H245_IS13818AudioMode | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_IS13818AudioMode::GetDataLength | ( |  | ) | const

PBoolean H245_IS13818AudioMode::Decode | ( | PASN_Stream & | strm | ) |

void H245_IS13818AudioMode::Encode | ( | PASN_Stream & | strm | ) | const

void H245_IS13818AudioMode::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_IS13818AudioMode::Compare | ( | const PObject & | obj | ) | const

PObject* H245_IS13818AudioMode::Clone | ( |  | ) | const

## Member Data Documentation

H245_IS13818AudioMode_audioLayer H245_IS13818AudioMode::m_audioLayer

H245_IS13818AudioMode_audioSampling H245_IS13818AudioMode::m_audioSampling

H245_IS13818AudioMode_multichannelType H245_IS13818AudioMode::m_multichannelType

PASN_Boolean H245_IS13818AudioMode::m_lowFrequencyEnhancement

PASN_Boolean H245_IS13818AudioMode::m_multilingual

PASN_Integer H245_IS13818AudioMode::m_bitRate

The documentation for this class was generated from the following file:

- h245.h